BROWSER DATA ENCRYPTION

To comply with industry standards for processing credit or debit cards, the data transmitted between your computer or device and our site must use encryption.

Over time, changing standings mean that older web browers may not meet the minimum requirements.

When trying to access a site with a web browser that is too old, you will only get a blank page or an error message that it couldn't communicate.

We detect that your computer is capable of version TLSv1.2. TLS version 1.2 and up are required. SSL versions are no longer allowed.

The required level of encryption is available in the following web browsers in the given version numbers and up:

For more details about what web browers support the required encryption (TLS 1.2), see this Wikipedia page.